enemies_controller = {}
enemies_controller.__index = enemies_controller
enemies_controller.enemies = {}

enemySprite = love.graphics.newImage('sprites/playertwo.png')

function enemies_controller:spawn()
   enemy = {}
   enemy.x = math.random(1100, 1150)
   enemy.y = math.random(40, 550)
   enemy.width = 120
   enemy.height = 135
   enemy.cooldown = 60
--   enemy.kinds = {"Hunter", "Mage", "Knight"}
--   enemy.Sprites = {["Mage"] = love.graphics.newImage('walkingenemy.png')}
   table.insert(enemies_controller.enemies, enemy)
end

function enemy_fire(x,y, enem)
   if enem.cooldown <= 0 then
      enem.cooldown = 60
      shot = {}
      shot.x = x + 55
      shot.y = y + 50
      shot.width = 10
      shot.height = 10
      table.insert(bullets, shot)
   end
end

function enemies_controller:randomization(dt)
   if #enemies_controller.enemies > 0 then
      rando = love.math.random(#enemies_controller.enemies)
      if love.math.random(0,20) == 1 then
	 enemy_fire(enemies_controller.enemies[rando].x,enemies_controller.enemies[rando].y,enemies_controller.enemies[rando])
      end
   end
end

function enemies_controller:shoot(dt, _player)
   for _,v in pairs(enemies_controller.enemies) do
      if math.random(0,15) == 1 then
	 if v.y + (v.height / 2) >= _player.y and v.y + (v.height / 2) <= _player.y + _player.height then
	    enemy_fire(v.x,v.y,v)
	 end
      end
   end
end
